using System;
using System.Runtime.InteropServices;

namespace RobotArm
{
    class Program
    {
        static void Main(string[] args)
        {
            //Assign Port Number - Remember to change this to match your Robot Arm port number
            byte PortNumber = 63;

            //Open Port
            RA_DLL.RA_ComOpen(PortNumber);

            //Delay to allow Comms to be estabished
            System.Threading.Thread.Sleep(10000);

            //Store Coordinates
            RA_DLL.RA2_StoreCoords(0,0,0,0);
            RA_DLL.RA2_StoreCoords(1,1020,1800,950);
    
            //Home and enable motors
            RA_DLL.RA2_HomeAll();
    
            //Goto Position
            RA_DLL.RA2_GotoPosition(1);
            
            //While motors moving
            while ( RA_DLL.RA2_IsMoving() > 0 );
            
            //Goto Position
            RA_DLL.RA2_GotoPosition(0);
    
            //While motors moving
            while ( RA_DLL.RA2_IsMoving() > 0 );

            //Close Port
            RA_DLL.RA_ComClose(PortNumber);
        }
    }
}


