using System.Runtime.InteropServices;

namespace RobotArm
{
    class RA_DLL
    {
        [DllImport("RobotArm2.dll")]
        public static extern byte RA_ComOpen(byte Port);
        [DllImport("RobotArm2.dll")]
        public static extern byte RA_ComClose(byte Port);
        [DllImport("RobotArm2.dll")]
        public static extern byte RA2_SetPort(byte Port);
        
        [DllImport("RobotArm2.dll")]
        public static extern byte RA2_GetAPI();
        [DllImport("RobotArm2.dll")]
        public static extern byte RA2_HomeAll();
        [DllImport("RobotArm2.dll")]
        public static extern byte RA2_HomeAxis(byte Axis);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_SetRelay(byte State);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_StorePosition(byte Index);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_StoreCoords(byte Index, int A, int B, int C);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_GotoPosition(byte Index);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_SetMotor(byte Motor, int Position);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_SetMotors(int A, int B, int C);
        [DllImport("RobotArm2.dll")]
        public static extern byte RA2_IsMoving();
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_SetXYZ(int X, int Y, int Z);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_SetGripper(byte Position);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_SetMoveSpeed(int Speed, int Increment);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_DisableMotors();
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_WriteLED(byte LED, byte State);
        [DllImport("RobotArm2.dll")]
        public static extern void RA2_RestoreAutoLEDs();
    }
}
